Bug 1017039 (CVE-2013-4365)

Summary: CVE-2013-4365 mod_fcgid: heap overflow
Product: [Other] Security Response Reporter: Ratul Gupta <ratulg>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: jorton, jrusnack, paul, pfrields, webstack-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20130929,reported=20131009,source=gentoo,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,fedora-all/mod_fcgid=affected,epel-all/mod_fcgid=affected,rhel-7/mod_fcgid=notaffected,cwe=CWE-122
Fixed In Version: mod_fcgid 2.3.9 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-11-12 06:03:04 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1017040, 1017041, 1017043    
Bug Blocks: 1017044    

Description Ratul Gupta 2013-10-09 04:05:44 EDT
mod_fcgid 2.3.9 fixes a heap overflow:
http://www.mail-archive.com/dev@httpd.apache.org/msg58077.html

From upstream:
*) SECURITY: CVE-2013-4365 (cve.mitre.org)
     Fix possible heap buffer overwrite.  Reported and solved by:
     [Robert Matthews <rob tigertech.com>]

References:
https://mail-archives.apache.org/mod_mbox/httpd-cvs/201309.mbox/%3C20130929174048.13B962388831@eris.apache.org%3E
https://bugs.gentoo.org/show_bug.cgi?id=487314
http://www.mail-archive.com/dev@httpd.apache.org/msg58077.html
Comment 2 Ratul Gupta 2013-10-09 04:08:03 EDT
Created mod_fcgid tracking bugs for this issue:

Affects: fedora-all [bug 1017040]
Affects: epel-all [bug 1017041]
Comment 3 Fedora Update System 2013-10-13 15:57:30 EDT
mod_fcgid-2.3.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-10-18 15:44:42 EDT
mod_fcgid-2.3.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-10-18 16:00:04 EDT
mod_fcgid-2.3.9-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-10-23 14:19:03 EDT
mod_fcgid-2.3.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-10-25 13:40:51 EDT
mod_fcgid-2.2-12.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Paul Howarth 2013-10-25 16:38:38 EDT
This has now been addressed in all current Fedora and EPEL releases.